<?php 
session_start();
require_once("../../includes/display_internal_user_dryout.inc.php");
require_once("../../includes/functions_internal_user_dryout.inc.php");
$obj = new data();
$connect = $obj->funConnect();
$display = new display();
$display->logout_iu();
$pagename = basename($_SERVER['PHP_SELF']);
$msg = NULL;
if (isset($_REQUEST['selBType']) && $_REQUEST['selBType']!="")
{
	$selBType = $_REQUEST['selBType'];
}
else if(isset($_SESSION['selBType']))
{
	$selBType = $_SESSION['selBType'];
}
else
{
	$selBType = '';
}
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title><?php $display->title(); ?></title>
<?php $display->favicon(); ?>
<meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
<?php $display->css(); ?>
<link href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css" rel="stylesheet" type="text/css" />
<link href="https://cdn.datatables.net/buttons/2.2.2/css/buttons.dataTables.min.css" rel="stylesheet" type="text/css" />
<style>
.dataTables_scrollBody {
    transform:rotateX(180deg);
}
.dataTables_scrollBody table {
    transform:rotateX(180deg);
}
	</style>
<!-- ldj  -->
<!-- <link href="../../css/datatables/dataTables.bootstrap.css" rel="stylesheet" type="text/css" /> -->
<!-- end ldj  -->
<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
  <script src="../js/html5shiv.js"></script>
  <script src="../js/respond.min.js"></script>
<![endif]-->
</head>
    <body class="skin-blue fixed">
        <!-- header logo: style can be found in header.less -->
        <?php $display->header_tag(); ?>
		<div class="wrapper row-offcanvas row-offcanvas-left">
            <?php $display->leftmenu(7,4); ?>
			<aside class="right-side">                
                <!-- Content Header (Page header) -->
                <section class="content-header">
                    <h1>
                        <a href="#" class="navbar-btn sidebar-toggle" data-toggle="offcanvas" role="button" style="margin:0px;"><i class="fa fa-bars" style="font-size:20px;"></i></a>&nbsp;&nbsp;Reports&nbsp;&nbsp;&nbsp;&nbsp;<small><div class="headline text-center" id="time" style="color:#000; font-weight:bold; font-size:12px;"></div></small>
                    </h1>
                    <ol class="breadcrumb">
                         <li><a href="../"><i class="fa fa-home"></i> Home</a></li>
                         <li>Reports</li>
						 <li>Management Reports</li>
						 <li class="active">Detailed Register(TC)</li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
				<!--   content put here..................-->
				<div class="box box-primary">
				<h3 style=" text-align:center;">Detailed Register(TC)</h3>
				<form name="frm1" id="frm1" enctype="multipart/form-data" action="<?php echo $pagename;?>"/>
					<div class="row invoice-info" style="margin-left:10px;">
                        <div class="col-sm-2 invoice-col">
						Date From<span style="font-size:10px; font-style:italic;">  (Cp date)</span>
							<address>
								<input type="text" name="txtFrom_Date" id="txtFrom_Date" class="form-control" value="" placeholder="dd-mm-yyyy">
							 </address>
						</div>
						
						<div class="col-sm-2 invoice-col">
						Date To<span style="font-size:10px; font-style:italic;">  (Cp date)</span>
							<address>
								<input type="text" name="txtTo_Date" id="txtTo_Date" class="form-control" value="" placeholder="dd-mm-yyyy">
							 </address>
						</div>
                        <div class="col-xs-2">
                            Business Type
                            <address>
                             <select name="selBType" id="selBType" class="form-control">
                               <?php echo $obj->getBusinessTypeList1($selBType);?>
                              </select>  
                           </address>                
                        </div><!-- /.col -->
						
                        <div class="col-sm-2 invoice-col">
						&nbsp;
                            <address>
                              <button type="button" class="btn btn-primary btn-flat" onClick="getData();" >Search</button>
                            </address>
                        </div><!-- /.col -->
					</div>
					<!-- <div align="right">
                        <a href="#" title="Pdf" onClick="getExcel();"><button class="btn btn-default" style="margin-right: 5px;" type="button"><i class="fa fa-download"></i>Generate Excel</button></a>
					</div> -->
					<div style="height:10px;">
						<input name="txttblid" id="txttblid" type="hidden" value="" />
						<input name="txttblstatus" id="txttblstatus" type="hidden" value="" />
						<input type="hidden" name="action" value="submit" />
					</div>
                    
					<div id="DivOwner" class="box-body table-responsive" style="overflow:auto;">
						<table id="sf_list" class="table table-bordered table-striped dataTable">
							<thead>
							<tr>
								<th  align="left" valign="top" width="10%">Sno.</th>
								<th  align="left" valign="top" width="10%">Voyage&nbsp;ID</th>
								<th  align="left" valign="top" width="10%">Vessel&nbsp;Name</th>	
								<th  align="left" valign="top" width="10%">CPIC</th>
								<th  align="left" valign="top" width="10%">OPS PIC</th>
								<th  align="left" valign="top" width="10%">DWT</th>
								<th  align="left" valign="top" width="10%">CP&nbsp;Date</th>
								<th  align="left" valign="top" width="10%">Owner&nbsp;Name (TC Hire In)</th>
								<th  align="left" valign="top" width="10%">&nbsp;&nbsp;Charterer&nbsp;&nbsp;</th>
								<th  align="left" valign="top" width="10%">Fixture&nbsp;Date</th>
								<th  align="left" valign="top" width="10%">Voyage&nbsp;No.</th>
                                <th align="left" valign="top" width="10%" style="display:<?php if($_SESSION['iutype']=='mgmt_user'){echo '';}else{echo 'none';}?>;">&nbsp;P&nbsp;&&nbsp;L&nbsp;</th>
							</tr>
                            
							</thead>
							<tbody>
								
							</tbody>
							
						</table>
					</div>
				</form>
				</div>
				<!--   content ends here..................-->
                </section><!-- /.content -->
            </aside><!-- /.right-side -->
			
        </div><!-- ./wrapper -->
<?php $display->footer(); ?>
<?php $display->js(); ?>
<!-- <script src="../../js/plugins/datatables/jquery.dataTables.js" type="text/javascript"></script>
<script src="../../js/plugins/datatables/dataTables.bootstrap.js" type="text/javascript"></script>-->



<!-- <script src="../../js/timer.js" type="text/javascript"></script>
<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script>  -->


<script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js" type="text/javascript"></script>
	
	<!-- new scripts -->
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/dataTables.buttons.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.html5.min.js" type="text/javascript"></script>
	<script src="https://cdn.datatables.net/buttons/2.2.2/js/buttons.print.min.js" type="text/javascript"></script>
	<link href="../../css/jquery.alerts.css" rel="stylesheet" type="text/css" />
	<link href="../../css/datepicker/datepicker.css" rel="stylesheet" type="text/css" />
	<script src="../../js/bootstrap-datepicker.js" type="text/javascript"></script>
	<script language="JavaScript" type="text/javascript" src="../../js/jquery.alerts.js"></script> 


<script type="text/javascript">
$(document).ready(function(){
	
	$("#sf_list").dataTable();
	
	$('#txtFrom_Date,#txtTo_Date').datepicker({
		format: 'dd-mm-yyyy',
		autoclose: true
	});
});

function getData()
{
	if($("#txtFrom_Date").val() != "" && $("#txtTo_Date").val() != "")
	{
		$('#DivOwner').html("");
		$('#DivOwner').html('<span style="text-align:center;display:block;"><img src="../../img/loading.gif" /></span>');
		$.post("options.php?id=119",{txtFrom_Date:""+$("#txtFrom_Date").val()+"",txtTo_Date:""+$("#txtTo_Date").val()+"",selBType:""+$("#selBType").val()+"", selCOASpot:""+$("#selCOASpot").val()+""}, function(html) {
			$('#DivOwner').html("");
			$('#DivOwner').html(html);


				var new_row = $("<tr class='search-header'/>");
				// <-----------------DPk------------------------>
				$('#sf_list thead th').each(function(i) {
				var title = $(this).text();

			
				var new_th = $('<th style="' + $(this).attr('style') + '" />');

			if (title == "Sno.") {
		
			    $(new_th).append('<input type="text" style="width:30px;" placeholder="' + title + '" data-index="'+i+'"/>');
			} else if (title == "CPIC") {
			
				$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');
			} else if (title == "Type") {
				
				$(new_th).append('<input type="text" style="width:40px;" placeholder="' + title + '" data-index="'+i+'"/>');
			}else if (title == "Voyage No.") {
			
				$(new_th).append('<input type="text" style="width:80px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "OPS PIC") {
			
				$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "DWT") {
			
				$(new_th).append('<input type="text" style="width:50px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Cargo Qty") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "CP Date") {
			
				$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Voyage Laycan Commencement") {
			
				$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Hire Days") {
			
				$(new_th).append('<input type="text" style="width:50px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Hire Rate") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Hire Amount") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Freight Rate / MT") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Total Freight / MT") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Fixture Date") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "LP FDA") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "DP FDA") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "P & I Survey") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "CP Services") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "IFO Grade") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "IFO Qty") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "IFO Price") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "IFO Cost") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Total Voyage Earning") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "Expense") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}else if (title == "P & L") {
			
			$(new_th).append('<input type="text" style="width:70px;" placeholder="' + title + '" data-index="'+i+'"/>');

			} else if (title == "Vessel Name") {
			
			$(new_th).append('<input type="text" style="width:90px;" placeholder="' + title + '" data-index="'+i+'"/>');

			}         
			
			else {
			   $(new_th).append('<input type="text" style="width:150px;" placeholder="' + title + '" data-index="'+i+'"/>');
			}
			
			$(new_row).append(new_th);
			
			// <--------------------DPk------------------------>
				});
				$('#sf_list thead').prepend(new_row);


			var table = $('#sf_list').DataTable({
							"scrollX": true,
							"searching": true,

							
							paging: true, 
       
						dom: 'Bfrtip',
					buttons: [
						{
							extend: 'excel',
							messageTop: "From Date :  "+$('#txtFrom_Date').val()+" -------- To Date : "+$('#txtTo_Date').val(),			
							title:"Detailed Register",
							sFileName: "Detailed Register"


						},
						
							]

							
						});
			// $("#sf_list").dataTable();

			// Filter event handler

			$(table.table().container()).each(function (i) {
         
        });
		
$( table.table().container() ).on( 'keyup', 'thead input', function () {



  table
    .column( $(this).data('index') )
    .search( this.value )
    .draw();
});


		});
	}else{
		jAlert('Please select Date From & Date To', 'Alert Dialog');
	}
}

function getPdf()
{
	location.href='allPdf.php?id=30&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selBType='+$("#selBType").val();
}

function getExcel()
{
	location.href='allExcel.php?id=25&txtFrom_Date='+$("#txtFrom_Date").val()+'&txtTo_Date='+$("#txtTo_Date").val()+'&selBType='+$("#selBType").val()+'&selCOASpot='+$("#selCOASpot").val();
}
</script>
		
</body>
</html>